Subject: Re: bug#55006: First time boot hangs after "watchdog hardware is disabled"

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Tue, 19 Apr 2022 21:54:04 +0200

Hi crodges,

On Tue, Apr 19, 2022 at 09:40:20AM -0700, crodges wrote:
> Noticed that the kernel was updated to linux-libre 5.16.20. Tried to reboot 
> without editing arguments in the kernel. I got to another freeze, and clearly 
> it seems to be the amd gpu, as in the new attached image. Is it possible, 
> considering that this gpu has free software drivers?

I proposed removing quiet so more messages would get printed to the
screen, but your photo already shows everything.

So this is bad news.  Technically the amdgpu drivers themselves are
free software, but they require nonfree firmware, and linux-libre
removes it.

With linux-libre, there is therefore no way to use the GPU for 3D
acceleration, I believe.

In your original post, you said you succeeded in installing Guix
System with the installer image.  The installer image uses
uvesafb-service-type when amdgpu fails, so you could do the same.

See the installer’s configuration file at:

~/.config/guix/current/share/guile/site/3.0/gnu/system/install.scm

The workaround I suggested at

On Tue, Apr 19, 2022 at 10:50:47AM +0200, pelzflorian (Florian Pelz) wrote:
> (If it AMD turns out to be the issue, Denis 'GNUtoo' Carikli suggested
> to partially fix them <https://issues.guix.gnu.org/36786#9>, while I
> suggested to work around them <https://issues.guix.gnu.org/48343>.
> Manjaro would not have these issues because it uses a nonfree linux
> package.  But your bug may be something completely different.)

is a more concise way to unconditionally load uvesafb, even for
graphical desktops.  Denis’ suggestion to fix the driver is a more
proper solution but more work, if it works.  Either way you won’t be
able to use accelerated 3D with linux-libre.

I’m merging this bug with 48343.

Regards,
Florian